// Filtry 2 rzędu

#ifndef filtryIIR
#define filtryIIR


void wsp_SOS_BP_Q14(int fo, int B3dB, unsigned int SAMPLES_PER_SECOND, signed int *wsp);
void wsp_SOS_BS_Q14(int fo, int B3dB, unsigned int SAMPLES_PER_SECOND, signed int *wsp);

signed int SOS_Q14( int *x, int *y, const signed int * coefficients, signed int input);


void wsp_LP(int f3dB, unsigned int SAMPLES_PER_SECOND, signed int *wsp);
void wsp_HP(int f3dB, unsigned int SAMPLES_PER_SECOND, signed int *wsp);

int IIR_I_order(int *buffer_X, int *buffer_Y, int *wsp, int input);
int IIR_I_orderLONG(int *buffer_X, int *buffer_Y, int *wsp, int input);

#endif


